libkysdk-base (3.0.1.0-ok0.1) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修复两个编译问题: #ICETPG,#ICEQUL
  * 其他改动影响域：无 
  * 

 -- rechie gao <gaoruiqi@kylinos.cn>  Tue, 24 Jun 2025 15:15:34 +0800

libkysdk-base (3.0.1.0-ok0.0) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：1. 同步V11SDK 3.0代码，同步时版本3.0.1.0-0k0.3
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Wed, 21 May 2025 15:13:47 +0800

libkysdk-base (2.5.1.0-0k0.8) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：1. 同步V11代码2.5.1.0-0k0.9
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Mon, 25 Nov 2024 10:18:25 +0800

libkysdk-base (2.5.1.0-0k0.7) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：1. 同步主线2.5.1.0-0k0.4代码
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Wed, 30 Oct 2024 16:07:01 +0800

libkysdk-base (2.5.1.0-0k0.6) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：同步主线2.5.1.0代码
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Tue, 24 Sep 2024 17:03:23 +0800

libkysdk-base (2.5.1.0-0k0.6) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：
              1. 修正symbols文件中libkysdk-config的名称：由libkysdk-cofig改为libkysdk-config
              2. 会影响生成的deb包依赖包名
  * 其他改动影响域：无

 -- liwenjun <liwenjun@kylinos.cn>  Fri, 16 Aug 2024 11:31:22 +0800

libkysdk-base (2.5.1.0-0k0.5) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明： 
              1. 由于openssl升级，修改libkysdk-diagnostics的依赖
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Fri, 16 Aug 2024 09:00:07 +0800

libkysdk-base (2.5.1.0-0k0.4) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明： 
              1. 完善兼容低版本数据库的功能
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Fri, 02 Aug 2024 15:14:24 +0800

libkysdk-base (2.5.1.0-0k0.3) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明： 
              1. conf2服务改为使用系统默认版本的python
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Thu, 11 Jul 2024 09:29:59 +0800

libkysdk-base (2.5.1.0-0k0.2) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明： 
              1. 删除conf2服务对lightdm服务的强依赖
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Thu, 04 Jul 2024 17:11:23 +0800

libkysdk-base (2.5.1.0-0k0.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明： 
              1. 删除conf2服务对lightdm服务的强依赖
              2. 屏蔽conf2服务的方法级管控
              3. 增加对旧数据库的兼容
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Fri, 28 Jun 2024 09:43:09 +0800

libkysdk-base (2.5.1.0-0k0.0) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：
                1. 配置组新增permission,description,summary属性
                2. permission权限新增final,stable
                3. conf2与gsettings联动,联动后gsettings设置的同步到conf2,反向同理
                4. 原本已经做了设置的应用,升级到接入conf2后,原本的设置保留
                5. 新增trigger,应用装包,目录下出现新的配置文件,自动执行reload
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Sat, 25 May 2024 11:26:49 +0800

libkysdk-base (2.4.1.0-0k1.7) nile; urgency=medium

  * BUG：#222596 【dbus】libkysdk-base com.kylin.kysdk.conf2系统总线服务级和方法级整改
  * 需求号：无
  * 其他改动说明：1. 修复服务级管控无法读取到白名单问题
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Fri, 17 May 2024 17:59:57 +0800

libkysdk-base (2.4.1.0-0k1.6) nile; urgency=medium

  * BUG：
        #222596 【dbus】libkysdk-base com.kylin.kysdk.conf2系统总线服务级和方法级整改
        #227605 【华为云】【guesetos】【控制面板】控制面板缺少电源模块
        #227626 【需求26164】【华为云】【guestos】【真机】会话管理器显示/隐藏电源操作-组件自身配置
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Fri, 17 May 2024 09:32:19 +0800

libkysdk-base (2.4.1.0-0k1.5) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：
                  1. 修复xml2yaml工具生成时枚举缩进位置不对的问题
                  2. 修复读数据库到内存(db2dict)的逻辑
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Wed, 15 May 2024 15:34:45 +0800

libkysdk-base (2.4.1.0-0k1.4) nile; urgency=medium

  * BUG：
        #226776 【conf2】新增对同目录里有相同的配置项的处理中点击下载按钮选择新建文件夹时，终端报错核心已转储
        #226686 【conf2】调整目录优先级执行报错 [用例#909448]
  * 需求号：无
  * 其他改动说明：
                  1. 更新gschema.xml转yaml工具
                  2. 增加部分日志
                  3. 修复服务管控中,非白名单应用调用dbus接口时虽然报错但接口仍然被调用的问题
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Thu, 09 May 2024 10:44:27 +0800

libkysdk-base (2.4.1.0-0k1.3) nile; urgency=medium

  * BUG：#222596 【dbus】libkysdk-base com.kylin.kysdk.conf2系统总线服务级和方法级整改
  * 需求号：无
  * 其他改动说明：
                  1. 修改pc文件中的版本号
                  2. 修改session服务启动时kylin-config目录不存在会报错的问题
                  3. 修改kdk_conf2_set_string会多一对单引号的问题
                  4. conf2服务生成统一视图时增加处理final和stable属性,组增加属性
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Tue, 07 May 2024 14:53:36 +0800

libkysdk-base (2.4.1.0-0k1.2) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改control文件依赖
  * 其他改动影响域：无

 -- shaozhimin <shaozhimin@kylinos.cn>  Fri, 26 Apr 2024 15:44:33 +0800

libkysdk-base (2.4.1.0-0k1.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改数据库表结构
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 25 Apr 2024 14:21:27 +0800
 
libkysdk-base (2.4.1.0-0k1.0) nile; urgency=medium

  * BUG：无
  * 需求号：
            #28841 调整目录优先级
            #28842 新增对同目录相同项的处理
  * 其他改动说明：
            1. 新增兼容并发读写功能
            2. 新增工具类包libkysdk-conf2-tools，工具不在集成在libkysdk-conf2包里
            3. 新增日志记录功能
            4. 配置文件里去掉children和keys关键字
            5. 所有固定关键字前面加下划线统一格式
            6. 取消common目录,通用配置存放位置可以除basic以外的所有目录
  * 其他改动影响域：无

 -- tianshaoshuai <tianshaoshuai@kylinos.cn>  Fri, 19 Apr 2024 14:43:46 +0800

libkysdk-base (2.4.1.0-0k0.2) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：整机导入合入bug#221702 【CPM20240409009145】 【PanguX-5.6.0.17 + BIOS 1.01】【HW】【系统功能】【Freetest】系统监视器下物理内存使用量显示不正确，已用内存比物理内存总量还大(2/2 DUTs)。（一般+必现+常用功能）修复
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 15 Apr 2024 16:03:10 +0800

libkysdk-base (2.4.1.0-0k0.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：更新 diagnostics symbols文件
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 01 Apr 2024 18:13:31 +0800

libkysdk-base (2.4.1.0-0k0.0) nile; urgency=medium

  * BUG：无
  * 需求号：#26164 华为云桌面默认关闭接口在HWS及HCSO做一个开启关闭休眠接口开关需求
  * 其他改动说明：任务#203739:需求26164的conf2适配内容同步2403u1版本 / 迁移华为云桌面192292 sdk提供conf2机制，支持睡眠、休眠、切换用户、关机可配置
  * 其他改动影响域：无

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 27 Mar 2024 09:03:47 +0800

libkysdk-base (2.3.0.0-0k0.14) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 添加symbols文件

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 27 Dec 2023 09:10:05 +0800

libkysdk-base (2.3.0.0-0k0.13) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 移除CMake对老旧C++的绑定

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 20 Dec 2023 16:30:33 +0800

libkysdk-base (2.3.0.0-0k0.12) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 修复已知的conf2模块导致的崩溃问题,上传可视化工具

 -- tian-shaoshuai <tianshaoshuai@kylinos.cn>  Tue, 12 Dec 2023 16:46:35 +0800

libkysdk-base (2.3.0.0-0k0.11) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 恢复diagnostics 模块内容

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 12 Dec 2023 14:50:30 +0800

libkysdk-base (2.3.0.0-0k0.10) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : conf2模块创建用户配置目录时所有者为root的问题处理

 -- tian-shaoshuai <tianshaoshuai@kylinos.cn>  Mon, 04 Dec 2023 17:24:42 +0800
 
libkysdk-base (2.3.0.0-0k0.9) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 修改conf2模块pc文件中的Requires

 -- tian-shaoshuai <tianshaoshuai@kylinos.cn>  Fri, 01 Dec 2023 14:15:59 +0800

libkysdk-base (2.3.0.0-0k0.8) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 修改conf2模块pc文件

 -- tian-shaoshuai <tianshaoshuai@kylinos.cn>  Fri, 01 Dec 2023 10:35:17 +0800

libkysdk-base (2.3.0.0-0k0.7) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 修改conf2模块pc文件

 -- tian-shaoshuai <tianshaoshuai@kylinos.cn>  Fri, 01 Dec 2023 09:12:19 +0800

libkysdk-base (2.3.0.0-0k0.6) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 :修复conf2模块的部分问题

 -- tian-shaoshuai <tianshaoshuai@kylinos.cn>  Thu, 30 Nov 2023 14:11:14 +0800

libkysdk-base (2.3.0.0-0k0.5) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 :修改pc文件和动态库版本

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 28 Nov 2023 16:52:06 +0800

libkysdk-base (2.3.0.0-0k0.4) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 上传libkysdk-conf2

 -- tian-shaoshuai <tianshaoshuai@kylinos.cn>  Mon, 27 Nov 2023 15:26:44 +0800

libkysdk-base (2.3.0.0-0k0.2) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 :解决i386动态库路径与加载路径不一致问题

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 20 Nov 2023 09:39:22 +0800

libkysdk-base (2.3.0.0-0k0.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 :  改动态库路径到对应的架构下

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 20 Oct 2023 09:59:39 +0800

libkysdk-base (2.3.0.0-0k0.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 23985 SDK文档完善
   * 其他修改 : 无

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 20 Oct 2023 09:59:39 +0800

libkysdk-base (2.2.0.0-0k0.4) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 注释掉log模块的日志转储部分
               解决安全扫描漏洞

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 19 Oct 2023 17:18:40 +0800

libkysdk-base (2.2.0.0-0k0.3) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 添加 diagnostics 模块

 -- szm-min <shaozhimin@kylinos.cn>  Mon, 28 Aug 2023 09:59:47 +0800

libkysdk-base (2.2.0.0-0k0.2) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 去掉control文件中的libkysdk-diagnostics依赖

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 04 Aug 2023 10:45:16 +0800

libkysdk-base (2.2.0.0-0k0.1) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 删除shlibs自动补全依赖

 -- szm-min <shaozhimin@kylinos.cn>  Thu, 13 Jul 2023 14:25:27 +0800

libkysdk-base (2.2.0.0-0k0.0) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : update changelog 2.2

 -- szm-min <shaozhimin@kylinos.cn>  Wed, 21 Jun 2023 10:03:19 +0800

libkysdk-base (2.0.0.0-0k0.6) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 修改control文件依赖版本

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 20 Jun 2023 19:51:55 +0800

libkysdk-base (2.0.0.0-0k0.5) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他修改 : 

 -- szm-min <shaozhimin@kylinos.cn>  Tue, 06 Jun 2023 15:30:08 +0800

libkysdk-base (1.2.0.5kylin1-ok1~0715) yangtze; urgency=medium

  * 合并主线v1.2
  * update v1.2

 -- szm-min <shaozhimin@kylinos.cn>  Fri, 15 Jul 2022 10:32:27 +0800

libkysdk-base (1.1.1kylin1-ok4~0627) yangtze; urgency=medium

  * 修改为quilt格式
  * openkylin 重新导入
  * fix bug#125453,控制面板账户模块缺少"账户信息"设置项

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 10 Jun 2022 19:35:33 +0800

libkysdk-base (1.1.1kylin1) yangtze; urgency=medium

   * BUG号 :  119832
   * 需求号 : 无
   * 其他修改 : 
   *    publish for v1.1 update

 -- liuyunhe <liuyunhe@kylinos.cn>  Tue, 17 May 2022 16:17:53 +0800
